%global major 1
%define libname %mklibname rpm-sequoia %major
%define devname %mklibname rpm-sequoia -d

# Generated by rust2rpm 27
%bcond_without check

%global crate rpm-sequoia

Name:           rust-rpm-sequoia
Version:        1.8.0
Release:        %mkrel 1
Summary:        Implementation of the RPM PGP interface using Sequoia

Group:          Development/Rust

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/rpm-sequoia
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * default to the OpenSSL crypto backend of sequoia-openpgp
Patch:          rpm-sequoia-fix-metadata.diff
Patch:          0001-Skip-building-library-again-in-test-code.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-thiserror1-devel

%global _description %{expand:
An implementation of the RPM PGP interface using Sequoia.}

%description %{_description}

%package     -n %{libname}
Summary:        %{summary}
Provides:       %{crate} = %{version}-%{release}
Provides:       %{crate}%{?_isa} = %{version}-%{release}
Obsoletes:      rpm-sequoia < 1.8.0
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
    LGPL-2.0-or-later AND
    Apache-2.0 AND
    BSL-1.0 AND
    MIT AND
    Unicode-DFS-2016 AND
    (Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{libname} %{_description}

%files       -n %{libname}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_libdir}/librpm_sequoia.so.%{major}

%package     -n %{devname}
Summary:        %{summary}
Requires:       %{crate}%{?_isa} = %{version}-%{release}
Provides:       %{crate}-devel = %{version}-%{release}
Provides:       %{crate}-devel%{?_isa} = %{version}-%{release}
Obsoletes:      rpm-sequoia-devel < 1.8.0

%description -n %{devname} %{_description}

%files       -n %{devname}
%{_libdir}/librpm_sequoia.so
%{_libdir}/pkgconfig/rpm-sequoia.pc

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build script uses environment variables to populate the pkgconfig file
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
# install shared library
mkdir -p %{buildroot}/%{_libdir}
cp -pav target/release/librpm_sequoia.so %{buildroot}/%{_libdir}/librpm_sequoia.so.1
# create unversioned symlink
ln -s librpm_sequoia.so.1 %{buildroot}/%{_libdir}/librpm_sequoia.so
# install pkg-config file
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
cp -pav target/release/rpm-sequoia.pc %{buildroot}/%{_libdir}/pkgconfig/

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Mon Apr 21 2025 wally <wally> 1.8.0-1.mga10
+ Revision: 2177916
- new version 1.8.0
- use libified pkg names for lib and dev pkg
- update RPM group to Development/Rust

* Sun Jul 14 2024 wally <wally> 1.7.0-1.mga10
+ Revision: 2081552
- new version 1.7.0

* Sat Feb 03 2024 wally <wally> 1.6.0-1.mga10
+ Revision: 2036937
- new version 1.6.0

* Thu Oct 26 2023 tv <tv> 1.5.0-0.1.mga10
+ Revision: 2001944
- imported package rust-rpm-sequoia


* Wed Oct 25 2023 Thierry Vignaud <tv@mageia.org> 1.5.0-1.mga10
- Import from FC

* Tue Aug 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0; Fixes RHBZ#2235784

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-1
- Update to version 1.4.1; Fixes RHBZ#2217961

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-3
- Rebuild for sequoia-openpgp v1.16

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-2
- Rebuild for openssl crate >= v0.10.48 (RUSTSEC-2023-{0022,0023,0024})

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0; Fixes RHBZ#2186636

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-1
- Update to version 1.3.0; Fixes RHBZ#2175877

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2145244

* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-2
- Rebuild for sequoia-openpgp 1.11.0

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2138400

* Thu Oct 13 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Initial import (#2087499)
